{
  "groups": [
    {
      "name": "aliyun",
      "type": "com.izouma.immall.service.storage.AliStorageService",
      "sourceType": "com.izouma.immall.service.storage.AliStorageService"
    },
    {
      "name": "wx.ma",
      "type": "com.izouma.immall.config.WxMaProperties",
      "sourceType": "com.izouma.immall.config.WxMaProperties"
    },
    {
      "name": "wx.mp",
      "type": "com.izouma.immall.config.WxMpProperties",
      "sourceType": "com.izouma.immall.config.WxMpProperties"
    },
    {
      "name": "wx.pay",
      "type": "com.izouma.immall.config.WxPayProperties",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    }
  ],
  "properties": [
    {
      "name": "aliyun.access-key-id",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.service.storage.AliStorageService"
    },
    {
      "name": "aliyun.access-key-secret",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.service.storage.AliStorageService"
    },
    {
      "name": "aliyun.oss-bucket-name",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.service.storage.AliStorageService"
    },
    {
      "name": "aliyun.oss-domain",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.service.storage.AliStorageService"
    },
    {
      "name": "aliyun.oss-end-point",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.service.storage.AliStorageService"
    },
    {
      "name": "wx.ma.app-id",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMaProperties"
    },
    {
      "name": "wx.ma.app-secret",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMaProperties"
    },
    {
      "name": "wx.ma.msg-aes-key",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMaProperties"
    },
    {
      "name": "wx.ma.msg-format",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMaProperties"
    },
    {
      "name": "wx.ma.msg-token",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMaProperties"
    },
    {
      "name": "wx.mp.aes-key",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMpProperties"
    },
    {
      "name": "wx.mp.app-id",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMpProperties"
    },
    {
      "name": "wx.mp.app-secret",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMpProperties"
    },
    {
      "name": "wx.mp.token",
      "type": "java.lang.String",
      "sourceType": "com.izouma.immall.config.WxMpProperties"
    },
    {
      "name": "wx.pay.app-id",
      "type": "java.lang.String",
      "description": "设置微信公众号或者小程序等的appid",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    },
    {
      "name": "wx.pay.key-path",
      "type": "java.lang.String",
      "description": "apiclient_cert.p12文件的绝对路径，或者如果放在项目中，请以classpath:开头指定",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    },
    {
      "name": "wx.pay.mch-id",
      "type": "java.lang.String",
      "description": "微信支付商户号",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    },
    {
      "name": "wx.pay.mch-key",
      "type": "java.lang.String",
      "description": "微信支付商户密钥",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    },
    {
      "name": "wx.pay.sub-app-id",
      "type": "java.lang.String",
      "description": "服务商模式下的子商户公众账号ID，普通模式请不要配置，请在配置文件中将对应项删除",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    },
    {
      "name": "wx.pay.sub-mch-id",
      "type": "java.lang.String",
      "description": "服务商模式下的子商户号，普通模式请不要配置，最好是请在配置文件中将对应项删除",
      "sourceType": "com.izouma.immall.config.WxPayProperties"
    }
  ],
  "hints": []
}